# Fox game


- The user must press the center button for the game to start.

-  Users can switch between the three icons on the bottom using the left and right button. To press one of the icons, they will click the middle button. If they reach the end of the icons and try to go further  it should loop around.
-  Game starts with hatching
-  The user can switch the weather.
-  After some time the fox can become hungry.
-  After a fox is a fed after some time it can poop.
-  Fox can only be fed when hungry and cleaned after it pooped.
-  Fox can die only when:
 
 1. After a certain interval it is not fed when hungry
 2. After a certain interval it is not cleaned after it pooped

 - After it is fed or cleaned the fox celebrates

 - It has a woken state and sleeping state

- Fox cannot get hungry or poop when it sleeps
   
- When a fox dies, the landscape goes into the death scene, the fox becomes the tombstone, and the game is over. If the user presses the middle button again, it restarts the game.



